For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • POSTTrigger a dynamic pull request run
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Projects

Initiate a project mobile app upload

||View as Markdown|
POST
https://tester.army/api/v1/projects/:projectId/mobile/upload
POST
/api/v1/projects/:projectId/mobile/upload
$curl -X POST https://tester.army/api/v1/projects/projectId/mobile/upload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "filename": "string",
> "fileSize": 1
>}'
1{
2 "uploadUrl": "string",
3 "storageKey": "string",
4 "filename": "string",
5 "fileSize": 1,
6 "removeAfter": 1
7}
Create a presigned temporary upload for a mobile app binary.
Was this page helpful?
Previous

Delete a project mobile app

Next

Confirm a project mobile app upload

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Path parameters

projectIdstringRequiredformat: "uuid"
Project ID

Request

This endpoint expects an object.
filenamestringRequired>=1 character
fileSizeintegerRequired
removeAfterintegerOptional

Response

Presigned upload details
uploadUrlstringformat: "uri"
storageKeystring
filenamestring
fileSizeinteger
removeAfterinteger or null

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error